// WQuickFormView.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "WQuick.h"
#include "WQuickDoc.h"
#include "WQuickFormView.h"
#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CWQuickFormView

IMPLEMENT_DYNCREATE(CWQuickFormView, CFormView)

CWQuickFormView::CWQuickFormView()
	: CFormView(CWQuickFormView::IDD)
{
	//{{AFX_DATA_INIT(CWQuickFormView)
	m_SearchExpression = _T("");
	//}}AFX_DATA_INIT
//	MessageBox("CWQuickFormView()","CWQuickFormView()",MB_OK);
	TimerValue=0;
}

CWQuickFormView::~CWQuickFormView()
{
//	MessageBox("~CWQuickFormView()","~CWQuickFormView()",MB_OK);
//	KillTimer(TimerValue);
}

void CWQuickFormView::DoDataExchange(CDataExchange* pDX)
{
	CFormView::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CWQuickFormView)
	DDX_Control(pDX, IDC_SEARCH_EXPRESSION, m_editbox);
	DDX_Text(pDX, IDC_SEARCH_EXPRESSION, m_SearchExpression);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CWQuickFormView, CFormView)
	//{{AFX_MSG_MAP(CWQuickFormView)
	ON_WM_SIZE()
	ON_WM_CHAR()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Diagnose CWQuickFormView

#ifdef _DEBUG
void CWQuickFormView::AssertValid() const
{
	CFormView::AssertValid();
}

void CWQuickFormView::Dump(CDumpContext& dc) const
{
	CFormView::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CWQuickFormView 

CWQuickDoc* CWQuickFormView::GetDocument()
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CWQuickDoc)));
	return (CWQuickDoc*)m_pDocument;
}

void CWQuickFormView::Search()
{
	UpdateData(TRUE);

	GetDocument()->Search(m_SearchExpression);
}

void CWQuickFormView::OnSize(UINT nType, int cx, int cy) 
{
	//CFormView::OnSize(nType, cx, cy);
	
	// TODO: Code fr die Behandlungsroutine fr Nachrichten hier einfgen
	if (nType!=SIZE_MINIMIZED && IsWindow(m_editbox)) m_editbox.MoveWindow(0,0,cx,cy,TRUE);

	
}

void CWQuickFormView::OnChar(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	// TODO: Code fr die Behandlungsroutine fr Nachrichten hier einfgen und/oder Standard aufrufen
	
	if(nChar=10) MessageBox("Text");
	CFormView::OnChar(nChar, nRepCnt, nFlags);
}
