/***************************************************************************
                          logicc.h  -  description
                             -------------------
    begin                : Thu Aug 3 2000
    copyright            : (C) 2000 by Philipp Ghring
    email                : p.guehring@poboxes.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef LOGICC_H
#define LOGICC_H

const char *i18n(const char *Text);

#ifdef __unix__
#include <htmlview.h>
#endif
#include "transc.h"

/**Logic Class tries to realize a real sentence and grammer based translation
  */

class LogicC : public TransC  {
public: 
	LogicC(const char *Directory="",const char *Filename="");
	~LogicC();

/**those are the functions that are called for each sentence
*/
  int search(const char *p_word,OutputC *html);
  long get(const char *v);

};

#endif
